%define __libtoolize :
%define momorel 3
Summary: A GNU implementation of Scheme for application extensibility.
Name:        guile
Version:     1.6.4
Release:     %{momorel}m
Source:      ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Nosource: 0
License:   GPL
Group: Development/Languages
Prereq:      info
Requires:    umb-scheme
Provides: /usr/bin/guile
Obsoletes: guile-oops guild-oops-devel
Provides: guile-oops
URL: http://www.gnu.org/directory/guile.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
GUILE (GNU's Ubiquitous Intelligent Language for Extension) is a library
implementation of the Scheme programming language, written in C.  GUILE
provides a machine-independent execution platform that can be linked in
as a library during the building of extensible programs.

Install the guile package if you'd like to add extensibility to programs
that you are developing.

%package devel
Summary: Libraries and header files for the GUILE extensibility library.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The guile-devel package includes the libraries, header files, etc.,
that you'll need to develop applications that are linked with the
GUILE extensibility library.

You need to install the guile-devel package if you want to develop
applications that will be linked to GUILE.  You'll also need to
install the guile package.

%prep
rm -rf %{buildroot}
%setup -q

%build
%ifarch ppc
CFLAGS="%{optflags} -O0" %configure --enable-dynamic-linking
%else
CFLAGS="%{optflags}" %configure --enable-dynamic-linking
%endif
make %{?_smp_mflags} || make

%install
rm -rf %{buildroot}
mkdir %{buildroot}

%makeinstall

mkdir -p %{buildroot}%{_datadir}/guile/site

ln -s %{_datadir}/umb-scheme/slib %{buildroot}%{_datadir}/guile/slib

# remove
rm -f %{buildroot}%{_infodir}/dir

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/goops.info %{_infodir}/dir
/sbin/install-info %{_infodir}/guile-tut.info %{_infodir}/dir
/sbin/install-info %{_infodir}/guile.info %{_infodir}/dir
/sbin/install-info %{_infodir}/r5rs.info %{_infodir}/dir

%preun devel
/sbin/install-info --delete %{_infodir}/goops.info %{_infodir}/dir
/sbin/install-info --delete %{_infodir}/guile-tut.info %{_infodir}/dir
/sbin/install-info --delete %{_infodir}/guile.info %{_infodir}/dir
/sbin/install-info --delete %{_infodir}/r5rs.info %{_infodir}/dir

%files
%defattr(-,root,root)
%doc ANON-CVS AUTHORS BUGS COPYING ChangeLog GUILE-VERSION HACKING INSTALL
%doc NEWS README README-PACKAGING SNAPSHOTS THANKS
%dir %{_datadir}/guile
%{_bindir}/guile
%{_bindir}/guile-tools
%{_libdir}/libguile*.so.*
%{_datadir}/guile

%files devel
%defattr(-,root,root)
%{_bindir}/guile-config
%{_bindir}/guile-snarf
%{_libdir}/lib*so
%{_libdir}/lib*a
%{_includedir}/guile
%{_includedir}/guile-readline
%{_includedir}/libguile
%{_includedir}/libguile.h
%{_datadir}/aclocal/*
%{_infodir}/*.info*

%changelog
* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (1.6.4-3m)
- revised spec for enabling rpm 4.2.

* Sun May 18 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.6.4-2m)
- revise %%post devel and %%preun devel

* Sun May 11 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.6.4-1m)
  update to 1.6.4

* Sat Mar  8 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.6.3-2m)
- add URL tag

* Fri Feb  7 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.6.3-1m)
  update to 1.6.3

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (1.4-16k)
- provides: /usr/bin/guile

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (1.4-14k)
- /sbin/install-info -> info in PreReq.

* Thu Nov  8 2001 Shingo Akagaki <dora@kondara.org>
- (1.4-12k)
- nigirisugi

* Mon Jan 15 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.4-11k)
- modified bug unlinking /usr/share/guile/slib

* Sat Oct 28 2000 Motonobu Ichimura <famao@kondara.org>
- change /usr/info -> %{_infodir}

* Wed Oct 25 2000 MATSUDA, Daiki <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Mon Oct 23 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (1.4-3k)
- fixed for FHS

* Tue Sep 12 2000 SAKA Toshihide <saka@yugen.org>
- Version up: 1.3.4 ==> 1.4

* Tue Feb 29 2000 SAKA Toshihide <saka@yugen.org>
- Version up: 1.3.2a ==> 1.3.4

* Sat Nov 27 1999 Shingo Akagaki <dora@kondara.org>
- version 1.3.2a

* Thu Sep  2 1999 Jeff Johnson <jbj@redhat.com>
- fix broken %postun

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Wed Mar 17 1999 Michael Johnson <johnsonm@redhat.com>
- added .ansi patch to fix #endif

* Wed Feb 10 1999 Cristian Gafton <gafton@redhat.com>
- add patch for the scm stuff

* Sun Jan 17 1999 Jeff Johnson <jbj@redhat.com>
- integrate changes from rhcn version (#640)

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- call libtoolize first to get it to compile on the arm

* Sat Jan  9 1999 Todd Larason <jtl@molehill.org>
- Added "Requires: guile" at suggestion of Manu Rouat <emmanuel.rouat@wanadoo.fr>

* Fri Jan  1 1999 Todd Larason <jtl@molehill.org>
- guile-devel does depend on guile
- remove devel dependancy on m4
- move guile-snarf from guile to guile-devel
- Converted to rhcn

* Wed Oct 21 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.3.
- don't strip libguile.so.*.0.0. (but set the execute bits).

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- spec file fixups

* Wed Sep  2 1998 Michael Fulbright <msf@redhat.com>
- Updated for RH 5.2

* Mon Jan 26 1998 Marc Ewing <marc@redhat.com>
- Started with spec from Tomasz Koczko <kloczek@idk.com.pl>
- added slib link

* Thu Sep 18 1997 Tomasz Koczko <kloczek@idk.com.pl>          (1.2-3)
- added %attr(-, root, root) for %doc, 
- in %post, %postun ldconfig runed as parameter "-p",
- removed /bin/sh from requires,
- added %description,
- changes in %files.

* Fri Jul 11 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>  (1.2-2)
- all rewrited for using Buildroot,
- added %postun,
- removed making buid logs,
- removed "--inclededir", added "--enable-dynamic-linking" to configure
  parameters,
- added striping shared libs and /usr/bin/guile,
- added "Requires: /bin/sh" (for guile-snarf) in guile package and
  "Requires: m4" for guile-devel,
- added macro %{PACKAGE_VERSION} in "Source:" and %files,
- added %attr macros in %files.
